New API version v7.12 has been released! 🎉
REST DocumentationCustomersPATCH Update customer contact

Update a customer contact

Use this endpoint to change a contact. All fields are optional; only the fields you send are changed.

Request

PATCH /api/v1/customers/:customer_number/contacts/:contact_id
curl --request PATCH \
     --url 'https://www.zep-online.de/zepinstanz/next/api/v1/customers/K-12345/contacts/42' \
     --header 'Accept: application/json' \
     --header 'Authorization: Bearer {token}' \
     --header 'Content-Type: application/json' \
     --data '{
  "job_title": "Leiterin Zentraleinkauf",
  "phone": "+49 30 12345699"
}'

Parameters

  • customer_number (string, required): The customer number
  • contact_id (integer, required): The ID of the contact

Optional fields

  • first_name (string): First name
  • last_name (string): Last name
  • salutation (string): Form of address
  • title (string): Title
  • email (string): Email address
  • phone (string): Phone number
  • mobile (string): Mobile number
  • fax (string): Fax number
  • primary (boolean): Primary contact of the customer
  • department (string): Department
  • job_title (string): Job title
  • language (string): Language code, e.g. de or en
  • inactive (boolean): Contact is inactive
  • username (string): Linked ZEP user

Response

{
  "data": {
    "id": 42,
    "customer_number": "K-12345",
    "salutation": "Frau",
    "title": "Dr.",
    "first_name": "Erika",
    "last_name": "Mustermann",
    "email": "erika.mustermann@acme-corp.de",
    "phone": "+49 30 12345678",
    "mobile": "+49 170 1234567",
    "fax": null,
    "primary": true,
    "department": "Einkauf",
    "job_title": "Leiterin Einkauf",
    "language": "de",
    "inactive": false,
    "username": null,
    "categories": [],
    "created": "2026-07-24T09:12:00.000000Z",
    "modified": "2026-07-24T09:12:00.000000Z"
  }
}